<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>CreationHelper (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CreationHelper (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CreationHelper.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/ConditionType.html"
               title="class in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/DataBarFormatting.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/CreationHelper.html" target="_top">Frames</a>
        </li>
        <li><a href="CreationHelper.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel</div>
    <h2 title="Interface CreationHelper" class="title">Interface CreationHelper</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFCreationHelper.html"
                           title="class in org.apache.poi.hssf.usermodel">HSSFCreationHelper</a>, <a
                            href="../../../../../org/apache/poi/xssf/streaming/SXSSFCreationHelper.html"
                            title="class in org.apache.poi.xssf.streaming">SXSSFCreationHelper</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFCreationHelper.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFCreationHelper</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">CreationHelper</span></pre>
                <div class="block">An object that handles instantiating concrete
                    classes of the various instances one needs for
                    HSSF and XSSF.
                    Works around a limitation in Java where we
                    cannot have static methods on interfaces or abstract
                    classes.
                    This allows you to get the appropriate class for
                    a given interface, without you having to worry
                    about if you're dealing with HSSF or XSSF.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html"
                                        title="class in org.apache.poi.ss.util">AreaReference</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CreationHelper.html#createAreaReference-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.util.CellReference-">createAreaReference</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                        title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;topLeft,
                                    <a href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                       title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;bottomRight)</code>
                                    <div class="block">Creates an area ref from a pair of Cell References..</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html"
                                        title="class in org.apache.poi.ss.util">AreaReference</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CreationHelper.html#createAreaReference-java.lang.String-">createAreaReference</a></span>(java.lang.String&nbsp;reference)</code>
                                    <div class="block">Creates an AreaReference.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                        title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CreationHelper.html#createClientAnchor--">createClientAnchor</a></span>()</code>
                                    <div class="block">Creates a ClientAnchor.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataFormat.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataFormat</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CreationHelper.html#createDataFormat--">createDataFormat</a></span>()</code>
                                    <div class="block">Creates a new DataFormat instance</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html"
                                        title="class in org.apache.poi.ss.usermodel">ExtendedColor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CreationHelper.html#createExtendedColor--">createExtendedColor</a></span>()</code>
                                    <div class="block">Creates a XSSF-style Color object, used for extended sheet
                                        formattings and conditional formattings
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                        title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CreationHelper.html#createFormulaEvaluator--">createFormulaEvaluator</a></span>()</code>
                                    <div class="block">Creates FormulaEvaluator - an object that evaluates formula
                                        cells.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Hyperlink.html"
                                        title="interface in org.apache.poi.ss.usermodel">Hyperlink</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CreationHelper.html#createHyperlink-org.apache.poi.common.usermodel.HyperlinkType-">createHyperlink</a></span>(<a
                                        href="../../../../../org/apache/poi/common/usermodel/HyperlinkType.html"
                                        title="enum in org.apache.poi.common.usermodel">HyperlinkType</a>&nbsp;type)</code>
                                    <div class="block">Creates a new Hyperlink, of the given type</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                        title="interface in org.apache.poi.ss.usermodel">RichTextString</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CreationHelper.html#createRichTextString-java.lang.String-">createRichTextString</a></span>(java.lang.String&nbsp;text)</code>
                                    <div class="block">Creates a new RichTextString instance</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createRichTextString-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createRichTextString</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                        title="interface in org.apache.poi.ss.usermodel">RichTextString</a>&nbsp;createRichTextString(java.lang.String&nbsp;text)</pre>
                                <div class="block">Creates a new RichTextString instance</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>text</code> - The text to initialise the RichTextString with</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createDataFormat--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createDataFormat</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/DataFormat.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataFormat</a>&nbsp;createDataFormat()</pre>
                                <div class="block">Creates a new DataFormat instance</div>
                            </li>
                        </ul>
                        <a name="createHyperlink-org.apache.poi.common.usermodel.HyperlinkType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createHyperlink</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/Hyperlink.html"
                                        title="interface in org.apache.poi.ss.usermodel">Hyperlink</a>&nbsp;createHyperlink(<a
                                        href="../../../../../org/apache/poi/common/usermodel/HyperlinkType.html"
                                        title="enum in org.apache.poi.common.usermodel">HyperlinkType</a>&nbsp;type)</pre>
                                <div class="block">Creates a new Hyperlink, of the given type</div>
                            </li>
                        </ul>
                        <a name="createFormulaEvaluator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createFormulaEvaluator</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                        title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a>&nbsp;createFormulaEvaluator()</pre>
                                <div class="block">Creates FormulaEvaluator - an object that evaluates formula cells.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a FormulaEvaluator instance</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createExtendedColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createExtendedColor</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html"
                                        title="class in org.apache.poi.ss.usermodel">ExtendedColor</a>&nbsp;createExtendedColor()</pre>
                                <div class="block">Creates a XSSF-style Color object, used for extended sheet
                                    formattings and conditional formattings
                                </div>
                            </li>
                        </ul>
                        <a name="createClientAnchor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createClientAnchor</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                        title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;createClientAnchor()</pre>
                                <div class="block">Creates a ClientAnchor. Use this object to position drawing object in
                                    a sheet
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a ClientAnchor instance</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/Drawing.html"
                                           title="interface in org.apache.poi.ss.usermodel"><code>Drawing</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createAreaReference-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createAreaReference</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/util/AreaReference.html"
                                        title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;createAreaReference(java.lang.String&nbsp;reference)</pre>
                                <div class="block">Creates an AreaReference.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>reference</code> - cell reference</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an AreaReference instance</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createAreaReference-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.util.CellReference-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>createAreaReference</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/util/AreaReference.html"
                                        title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;createAreaReference(<a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                        title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;topLeft,
                                  <a href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                     title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;bottomRight)</pre>
                                <div class="block">Creates an area ref from a pair of Cell References..</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>topLeft</code> - cell reference</dd>
                                    <dd><code>bottomRight</code> - cell reference</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an AreaReference instance</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CreationHelper.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/ConditionType.html"
               title="class in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/DataBarFormatting.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/CreationHelper.html" target="_top">Frames</a>
        </li>
        <li><a href="CreationHelper.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
